Subject: Re: [PATCH v2 0/5] meson: wire up support for benchmarks

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Apr 2025 11:18:42 -0700

Junio C Hamano <[email-masked]> writes:

> Patrick Steinhardt <[email-masked]> writes:
>
>> this small patch series implements support for running our benchmarks in
>> "t/perf" via Meson. The series does not aim to replace "t/perf/run",
>> which is more fully-featured and allows running benchmarks against
>> multiple different trees. Instead, this series only allows running the
>> benchmarks against the current tree. Users are thus expected to continue
>> using "t/perf/run" for more advanced usecases.
>>
>> Changes in v2:
>>   - Adapt "aggregate.perl" to use a "/usr/bin/env perl" shebang.
>>   - Link to v1: https://lore.kernel.org/r/[email-masked]
>>
>> Thanks!
>
>
> The previous iteration of this series has been kept out of 'seen'
> for some time and I didn't recall why I did so.  With this iteration
> merged, all GitHub Actions CI tasks with "meson" in the name are
> failing, so does "documentation" jobs (which recently acquired
> "let's make sure meson-based build does the docs fine" substep).
>
> Can you help seeing where the merge went wrong (yes, I am suspecting
> that there is some stupid merge mistake there)?

Just a few test CI runs.

    https://github.com/git/git/actions/runs/14457387669

is with this topic mergecd in (with alleged mismerge).

This one

    https://github.com/git/git/actions/runs/14406901394

is from last week without the earlier iteration of this topic, which
fails a few meson jobs.

linux-meson job that fails with

meson.build:689:19: ERROR: Command `/usr/bin/git -C /__w/git/git ls-files --deduplicate '*.h' ':!contrib' ':!compat/inet_ntop.c' ':!compat/inet_pton.c' ':!compat/nedmalloc' ':!compat/obstack.*' ':!compat/poll' ':!compat/regex' ':!sha1collisiondetection' ':!sha1dc' ':!t/unit-tests/clar' ':!t/unit-tests/clar' ':!t/t[0-9][0-9][0-9][0-9]*'` failed with status 128.

and

win+Meson test(3) that dies inside Python asyncio both look
problematic.

Thanks.